%define upstream_name    Tie-Watch
%define upstream_version 1.301

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Place watchpoints on Perl variables
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_module}/
Source0:    %{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This module binds one or more subroutines of your devising to a Perl variable.
With Tie::Watch one can:
- alter a variable's value
- prevent a variable's value from being changed
- invoke a Perl/Tk callback when a variable changes
- trace references to a variable

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%__make

%check
%__make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc META.yml README examples
%{_mandir}/*/*
%{perl_vendorlib}/Tie/

%changelog
* Sat Feb 26 2011 jquelin <jquelin> 1.301.0-1.mga1
+ Revision: 60777
- update to 1.301

* Thu Jan 13 2011 jquelin <jquelin> 1.2-5.mga1
+ Revision: 15524
- imported package perl-Tie-Watch


* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.2-5mdv2010.0
+ Revision: 426597
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.2-4mdv2009.1
+ Revision: 351711
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.2-3mdv2009.0
+ Revision: 224555
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2-2mdv2008.1
+ Revision: 180819
- added P0 (sync wih Tk-804.028)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat May 05 2007 Olivier Thauvin <nanardon@mandriva.org> 1.2-2mdv2008.0
+ Revision: 23300
- rebuild


* Wed Jun 01 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.2-1mdk
- 1.2
- Change URL

* Mon Dec 08 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1-1mdk
- initial release

